// TimerEventView.h : interface of the CTimerEventView class
//
/////////////////////////////////////////////////////////////////////////////

#if !defined(AFX_TIMEREVENTVIEW_H__E6B0FC9A_FD6C_497B_94ED_A09FEA464192__INCLUDED_)
#define AFX_TIMEREVENTVIEW_H__E6B0FC9A_FD6C_497B_94ED_A09FEA464192__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000


class CTimerEventView : public CFormView
{
protected: // create from serialization only
	CTimerEventView();
	DECLARE_DYNCREATE(CTimerEventView)

public:
	//{{AFX_DATA(CTimerEventView)
	enum { IDD = IDD_TIMEREVENT_FORM };
	CEdit	m_cUTime;
	CButton	m_cExit;
	CComboBox	m_cOperation;
	CButton	m_cCancel;
	CString	m_sCurrtime;
	CString	m_sUserTime;
	//}}AFX_DATA
	UINT Timeval;
// Attributes
public:
	CTimerEventDoc* GetDocument();

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CTimerEventView)
	public:
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	virtual void OnInitialUpdate(); // called first time after construct
	virtual BOOL OnPreparePrinting(CPrintInfo* pInfo);
	virtual void OnBeginPrinting(CDC* pDC, CPrintInfo* pInfo);
	virtual void OnEndPrinting(CDC* pDC, CPrintInfo* pInfo);
	virtual void OnPrint(CDC* pDC, CPrintInfo* pInfo);
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CTimerEventView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:

// Generated message map functions
	afx_msg UINT  StartTimer (UINT TimerDuration);  // Start the Timer
	afx_msg BOOL StopTimer (UINT TimerVal);           // Stop the Timer
	afx_msg BOOL MyTask(CString strType);	     // Perform the Operation
	afx_msg void OnCheck();                     // Perform the Validation
	afx_msg void OnUnlock();				  // Unlock the System


protected:
	//{{AFX_MSG(CTimerEventView)
	afx_msg void OnCancel();
	afx_msg void OnExit();
	afx_msg void OnSelchangeOperation();
	afx_msg void OnTimer(UINT nIDEvent);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

#ifndef _DEBUG  // debug version in TimerEventView.cpp
inline CTimerEventDoc* CTimerEventView::GetDocument()
   { return (CTimerEventDoc*)m_pDocument; }
#endif

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_TIMEREVENTVIEW_H__E6B0FC9A_FD6C_497B_94ED_A09FEA464192__INCLUDED_)
